> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--application/types/objects/application-severity-changed-reason.md).

# applicationSeverityChangedReason

Represents a reason for a severity change in an application.

### Examples

```graphql
type ApplicationSeverityChangedReason {
  tagId: String
  changeNumber: Float
  shouldBeSeverityFactor: Boolean
  requiredHits: Int
  reason: String
  shortName: String
  changeCategory: String
  changePlusReasonFacet: String
  extraInfo: [ApplicationExtraInfo]
}
```

### Fields

| Field                                                                                                                           | Description                                                         | Supported fields                                                                                                                              |
| ------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------- |
| tagId `String`                                                                                                                  | The identifier of the tag associated with the severity change       |                                                                                                                                               |
| changeNumber `Float`                                                                                                            | The numerical change in severity                                    |                                                                                                                                               |
| shouldBeSeverityFactor `Boolean`                                                                                                | Indicates whether the change should be considered a severity factor |                                                                                                                                               |
| requiredHits `Int`                                                                                                              | The number of required hits to trigger the severity change          |                                                                                                                                               |
| reason `String`                                                                                                                 | The reason for the severity change                                  |                                                                                                                                               |
| shortName `String`                                                                                                              | A short, user-friendly name for the change reason                   |                                                                                                                                               |
| changeCategory `String`                                                                                                         | The category of the change, such as 'Vulnerability' or 'Compliance' |                                                                                                                                               |
| changePlusReasonFacet `String`                                                                                                  | A combination of change category and reason for faceting purposes   |                                                                                                                                               |
| extraInfo [`[ApplicationExtraInfo]`](/api-documentation/api-reference/api--application/types/objects/application-extra-info.md) | Additional information associated with the severity change          | <p>key <code>String</code><br>link <code>String</code><br>snippet <a href="/pages/IJ3aZy4kr639ScGJKdat"><code>ExtraInfoSnippet</code></a></p> |

### References

#### Fields with this object:

* [{} Application.severityChangedReason](/api-documentation/api-reference/api--application/types/objects/application.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--application/types/objects/application-severity-changed-reason.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
